#!/bin/bash
Summary:	GL Utility Toolkit (GLUT)
Name:		glut
Version:	3.7
Release:	4
License:	Freely Redistributable
Group:		System Environment/Libraries
Source0:	http://reality.sgi.com/mjk_asd/glut3/%{name}-%{version}.tar.gz
Source1:	http://reality.sgi.com/mjk_asd/glut3/%{name}-3.spec.ps.gz
Patch0:		%{name}-examples-paths.patch
Patch1:		%{name}-link.patch
URL:		http://reality.sgi.com/mjk_asd/glut3
BuildRequires:	Mesa-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Requires:	Mesa

%description
GL Utility Toolkit (GLUT) is a 3-D graphics library which uses the
OpenGL API.

%package devel
Summary:	GLUT Development environment
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	Mesa-devel

%description devel
Libraries and header files required for GLUT development.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

install %{SOURCE1} .

%build
rm -f Glut.cf
cp -f linux/Glut.cf .
./mkmkfiles.imake
cd lib/glut
rm -f Makefile
cp -f ../../linux/Makefile .
%{__make} depend
%{__make} "BOOTSTRAPCFLAGS=$RPM_OPT_FLAGS -fPIC" \
          "CDEBUGFLAGS=" "CCOPTIONS=$RPM_OPT_FLAGS -fPIC" \
          "CXXDEBUGFLAGS=" "CXXOPTIONS=$RPM_OPT_FLAGS -fPIC"

# make libglsmap.a
(
    cd ../glsmap
    %{__make} "BOOTSTRAPCFLAGS=$RPM_OPT_FLAGS" \
	          "CDEBUGFLAGS=" "CCOPTIONS=$RPM_OPT_FLAGS" \
	          "CXXDEBUGFLAGS=" "CXXOPTIONS=$RPM_OPT_FLAGS"
)

# make libmui.a
(
    cd ../mui
    %{__make} "BOOTSTRAPCFLAGS=$RPM_OPT_FLAGS" \
	          "CDEBUGFLAGS=" "CCOPTIONS=$RPM_OPT_FLAGS" \
	          "CXXDEBUGFLAGS=" "CXXOPTIONS=$RPM_OPT_FLAGS"
)

# prepare to make manuals
(
    cd ../../man
	sed s/gle// Imakefile > Imakefile.tmp
	mv -f Imakefile.tmp Imakefile
	xmkmf
)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_mandir}/man3,%{_includedir}} \
	$RPM_BUILD_ROOT

install lib/glut/libglut.so.*.* $RPM_BUILD_ROOT%{_libdir}
ln -sf libglut.so.3 $RPM_BUILD_ROOT%{_libdir}/libglut.so

install lib/*/lib*.a $RPM_BUILD_ROOT%{_libdir}

rm -f include/GL/tube.h
cp -rp include/* $RPM_BUILD_ROOT%{_includedir}

make -C man DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}/man3 install.man

# Installing examples...
#(
#    cd progs
#    find . -name Makefile.win -o -name Makefile.sgi -o -name Makefile.bak | xargs rm -f
#    cp -rp * $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
#)

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc NOTICE CHANGES FAQ.glut README*
%{_includedir}/GL/*.h
%{_includedir}/mui
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_mandir}/man3/*

#%files examples
#%defattr(644,root,root,755)
#%{_examplesdir}/%{name}-%{version}

%changelog
* Mon Feb 26 2002 Mike A. Harris <mharris@redhat.com> 3.7-4
- Rebuilt in new environment

* Sun Feb 03 2002 Mike A. Harris <mharris@redhat.com> 3.7-3
- Fixed some breakage in the install section

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 3.7-2
- automated rebuild

* Tue Dec 26 2001 Mike A. Harris <mharris@redhat.com> 3.7-1
- Initial packaging

